name: network
version: 2.6.2.1
id: network-2.6.2.1-Lfd6hU8QSOtC72PepFdIPJ
key: network-2.6.2.1-Lfd6hU8QSOtC72PepFdIPJ
license: BSD-3-Clause
maintainer: Johan Tibell <johan.tibell@gmail.com>
homepage: https://github.com/haskell/network
synopsis: Low-level networking interface
description:
    This package provides a low-level networking interface.
    .
    In network-2.6 the @Network.URI@ module was split off into its own
    package, network-uri-2.6. If you're using the @Network.URI@ module
    you can automatically get it from the right package by adding this
    to your .cabal file:
    .
    > flag network-uri
    >   description: Get Network.URI from the network-uri package
    >   default: True
    >
    > library
    >   -- ...
    >   if flag(network-uri)
    >     build-depends: network-uri >= 2.6, network >= 2.6
    >   else
    >     build-depends: network-uri < 2.6, network < 2.6
    .
    That is, get the module from either network < 2.6 or from
    network-uri >= 2.6.
category: Network
abi: 0b250efa2cff4d3950fd09db7de9b94a
exposed: True
exposed-modules:
    Network Network.BSD Network.Socket Network.Socket.ByteString
    Network.Socket.ByteString.Lazy Network.Socket.Internal
hidden-modules: Network.Socket.ByteString.Internal
                Network.Socket.Types Network.Socket.ByteString.IOVec
                Network.Socket.ByteString.Lazy.Posix
                Network.Socket.ByteString.MsgHdr
import-dirs: /usr/local/lib/ghc/network-2.6.2.1
library-dirs: /usr/local/lib/ghc/network-2.6.2.1
dynamic-library-dirs: /usr/local/lib/ghc/network-2.6.2.1
data-dir: /usr/local/share/hs-network-2.6.2.1
hs-libraries: HSnetwork-2.6.2.1-Lfd6hU8QSOtC72PepFdIPJ
include-dirs: /usr/local/lib/ghc/network-2.6.2.1/include
includes:
    HsNet.h
depends:
    base-4.12.0.0 bytestring-0.10.8.2 unix-2.7.2.2
haddock-interfaces: /usr/local/share/doc/hs-network-2.6.2.1/html/network.haddock
haddock-html: /usr/local/share/doc/hs-network-2.6.2.1/html
